# HG changeset patch
# Node ID 03d0c6e39b7d
# Parent  86afaa3533bc
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -247,6 +247,8 @@
 		* account-removed signal. Use PurpleAccountManager::removed
 		  instead.
 		* account-setting-info, account-set-info signals
+		* account-signed-off signal.
+		* account-signed-on signal.
 		* account-status-changing signal.
 		* blist-node-aliased signal.
 		* blist-node-extended-menu signal.
diff --git a/doc/reference/libpurple/libpurple.toml.in b/doc/reference/libpurple/libpurple.toml.in
--- a/doc/reference/libpurple/libpurple.toml.in
+++ b/doc/reference/libpurple/libpurple.toml.in
@@ -40,7 +40,6 @@
 	"contributing.md",
 	"plugin_i18n.md",
 	"plugin_ids.md",
-	"signals_account.md",
 	"signals_cmd.md",
 	"signals_connection.md",
 	"signals_conversation.md",
diff --git a/doc/reference/libpurple/meson.build b/doc/reference/libpurple/meson.build
--- a/doc/reference/libpurple/meson.build
+++ b/doc/reference/libpurple/meson.build
@@ -2,7 +2,6 @@
 	'contributing.md',
 	'plugin_i18n.md',
 	'plugin_ids.md',
-	'signals_account.md',
 	'signals_cmd.md',
 	'signals_connection.md',
 	'signals_conversation.md',
diff --git a/doc/reference/libpurple/signals_account.md b/doc/reference/libpurple/signals_account.md
deleted file mode 100644
--- a/doc/reference/libpurple/signals_account.md
+++ /dev/null
@@ -1,81 +0,0 @@
-Title: Account Signals
-Slug: account-signals
-
-## Account Signals
-
-### Signal List
-
-* [account-signed-on](#account-signed-on)
-* [account-signed-off](#account-signed-off)
-
-### Signal Details
-
-#### account-created
-
-```c
-void user_function(PurpleAccount *account, gpointer user_data);
-```
-
-Emitted when an account is created by calling purple_account_new.
-
-**Parameters:**
-
-**account**
-: The account.
-
-**user_data**
-: User data set when the signal handler was connected.
-
-----
-
-#### account-destroying
-
-```c
-void user_function(PurpleAccount *account, gpointer user_data);
-```
-
-Emitted when an account is about to be destroyed.
-
-**Parameters:**
-
-**account**
-: The account.
-
-**user_data**
-: User data set when the signal handler was connected.
-
-----
-
-#### account-signed-on
-
-```c
-void user_function(PurpleAccount *account, gpointer user_data);
-```
-
-Emitted when an account has signed on.
-
-**Parameters:**
-
-**account**
-: The account that has signed on.
-
-**user_data**
-: User data set when the signal handler was connected.
-
-----
-
-#### account-signed-off
-
-```c
-void user_function(PurpleAccount *account, gpointer user_data);
-```
-
-Emitted when an account has signed off.
-
-**Parameters:**
-
-**account**
-: The account that has signed off.
-
-**user_data**
-: User data set when the signal handler was connected.
diff --git a/libpurple/accounts.c b/libpurple/accounts.c
--- a/libpurple/accounts.c
+++ b/libpurple/accounts.c
@@ -526,24 +526,6 @@
 }
 
 static void
-signed_on_cb(PurpleConnection *gc, G_GNUC_UNUSED gpointer unused)
-{
-	PurpleAccount *account = purple_connection_get_account(gc);
-
-	purple_signal_emit(purple_accounts_get_handle(), "account-signed-on",
-	                   account);
-}
-
-static void
-signed_off_cb(PurpleConnection *gc, G_GNUC_UNUSED gpointer unused)
-{
-	PurpleAccount *account = purple_connection_get_account(gc);
-
-	purple_signal_emit(purple_accounts_get_handle(), "account-signed-off",
-	                   account);
-}
-
-static void
 connection_error_cb(PurpleConnection *gc,
                     PurpleConnectionError type,
                     const gchar *description,
@@ -566,18 +548,6 @@
 	void *handle = purple_accounts_get_handle();
 	void *conn_handle = purple_connections_get_handle();
 
-	purple_signal_register(handle, "account-signed-on",
-	                       purple_marshal_VOID__POINTER, G_TYPE_NONE, 1,
-	                       PURPLE_TYPE_ACCOUNT);
-
-	purple_signal_register(handle, "account-signed-off",
-	                       purple_marshal_VOID__POINTER, G_TYPE_NONE, 1,
-	                       PURPLE_TYPE_ACCOUNT);
-
-	purple_signal_connect(conn_handle, "signed-on", handle,
-	                      G_CALLBACK(signed_on_cb), NULL);
-	purple_signal_connect(conn_handle, "signed-off", handle,
-	                      G_CALLBACK(signed_off_cb), NULL);
 	purple_signal_connect(conn_handle, "connection-error", handle,
 	                      G_CALLBACK(connection_error_cb), NULL);
 
@@ -598,5 +568,4 @@
 	}
 
 	purple_signals_disconnect_by_handle(handle);
-	purple_signals_unregister_by_instance(handle);
 }
